Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# SceneSetup Class Reference

This object holds the camera position, etc., and other general setup information for rendering a particular scene. More...

Inheritance diagram for SceneSetup:

List of all members.

## Public Member Functions
Camera | getCameraNode ()
| Returns the camera used to render the scene.
NodePath const | getCameraPath ()
| Returns the NodePath to the camera.
TransformState const | getCameraTransform ()
| Returns the position of the camera relative to the starting node.
BoundingVolume | getCullBounds ()
| Returns the bounding volume that should be used to perform view-frustum culling (in the space of get_cull_center()).
NodePath const | getCullCenter ()
| Returns the point from which the culling operations will be performed.
DisplayRegion | getDisplayRegion ()
| Returns the display region for the scene.
RenderState const | getInitialState ()
| Returns the initial state as set by a previous call to set_initial_state().
bool | getInverted ()
| Returns the current setting of the inverted flag.
Lens const | getLens ()
| Returns the particular Lens used for rendering.
NodePath const | getSceneRoot ()
| Returns the root node of the scene.
int | getViewportHeight ()
| Returns the height of the viewport (display region) in pixels.
int | getViewportWidth ()
| Returns the width of the viewport (display region) in pixels.
TransformState const | getWorldTransform ()
| Returns the position of the starting node relative to the camera.
| setCameraNode (Camera camera_node)
| Specifies the camera used to render the scene.
| setCameraPath (NodePath const camera_path)
| Specifies the NodePath to the camera.
| setCameraTransform (TransformState const camera_transform)
| Specifies the position of the camera relative to the starting node.
| setDisplayRegion (DisplayRegion display_region)
| Specifies the display region for the scene.
| setInitialState (RenderState const initial_state)
| Sets the initial state which is applied to all nodes in the scene, as if it were set at the top of the scene graph.
| setInverted (bool inverted)
| Changes the current setting of the inverted flag.
| setLens (Lens const lens)
| Indicates the particular Lens used for rendering.
| setSceneRoot (NodePath const scene_root)
| Specifies the root node of the scene.
| setViewportSize (int width, int height)
| Specifies the size of the viewport (display region), in pixels.
| setWorldTransform (TransformState const world_transform)
| Specifies the position of the starting node relative to the camera.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This object holds the camera position, etc., and other general setup information for rendering a particular scene.

## Member Function Documentation

Camera getCameraNode | ( |  | ) |

Returns the camera used to render the scene.

NodePath const getCameraPath | ( |  | ) |

Returns the NodePath to the camera.

TransformState const getCameraTransform | ( |  | ) |

Returns the position of the camera relative to the starting node.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

BoundingVolume getCullBounds | ( |  | ) |

Returns the bounding volume that should be used to perform view-frustum culling (in the space of get_cull_center()).

This is normally the current lens' bounding volume, but it may be overridden with Camera.set_cull_bounds().

NodePath const getCullCenter | ( |  | ) |

Returns the point from which the culling operations will be performed.

This is normally the camera, but if camera->set_cull_center() has been specified, it will be that special node instead.

DisplayRegion getDisplayRegion | ( |  | ) |

Returns the display region for the scene.

RenderState const getInitialState | ( |  | ) |

Returns the initial state as set by a previous call to set_initial_state().

bool getInverted | ( |  | ) |

Returns the current setting of the inverted flag.

When this is true, the scene is rendered into the window upside-down, flipped like a mirror along the X axis.

Lens const getLens | ( |  | ) |

Returns the particular Lens used for rendering.

NodePath const getSceneRoot | ( |  | ) |

Returns the root node of the scene.

int getViewportHeight | ( |  | ) |

Returns the height of the viewport (display region) in pixels.

int getViewportWidth | ( |  | ) |

Returns the width of the viewport (display region) in pixels.

TransformState const getWorldTransform | ( |  | ) |

Returns the position of the starting node relative to the camera.

This is the inverse of the camera transform.

setCameraNode | ( | Camera | camera_node | ) |

Specifies the camera used to render the scene.

setCameraPath | ( | NodePath const | camera_path | ) |

Specifies the NodePath to the camera.

setCameraTransform | ( | TransformState const | camera_transform | ) |

Specifies the position of the camera relative to the starting node.

setDisplayRegion | ( | DisplayRegion | display_region | ) |

Specifies the display region for the scene.

setInitialState | ( | RenderState const | initial_state | ) |

Sets the initial state which is applied to all nodes in the scene, as if it were set at the top of the scene graph.

setInverted | ( | bool | inverted | ) |

Changes the current setting of the inverted flag.

When this is true, the scene is rendered into the window upside-down and backwards, that is, inverted as if viewed through a mirror placed on the floor.

setLens | ( | Lens const | lens | ) |

Indicates the particular Lens used for rendering.

setSceneRoot | ( | NodePath const | scene_root | ) |

Specifies the root node of the scene.

setViewportSize | ( | int | width,
|  | int | height
| ) |  |

Specifies the size of the viewport (display region), in pixels.

setWorldTransform | ( | TransformState const | world_transform | ) |

Specifies the position of the starting node relative to the camera.

This is the inverse of the camera transform.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties